Package de.willuhn.jameica.hbci.schedule

# Class SepaSammelUeberweisungScheduleProvider

java.lang.Object
de.willuhn.jameica.hbci.schedule.AbstractTransferScheduleProvider<SepaSammelUeberweisung>
de.willuhn.jameica.hbci.schedule.SepaSammelUeberweisungScheduleProvider

All Implemented Interfaces:
  `ScheduleProvider<SepaSammelUeberweisung>`

@Lifecycle(REQUEST) public class SepaSammelUeberweisungScheduleProvider extends AbstractTransferScheduleProvider<SepaSammelUeberweisung>
Implementierung eines Schedule-Providers fuer offene SEPA-Sammelueberweisungen.

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelUeberweisungScheduleProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Provider.

### Methods inherited from class de.willuhn.jameica.hbci.schedule.AbstractTransferScheduleProvider

`getSchedules`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaSammelUeberweisungScheduleProvider

public SepaSammelUeberweisungScheduleProvider()

## Method Details

### getName

public String getName()
Description copied from interface: `ScheduleProvider`
Liefert einen sprechenden Namen fuer den Provider.

Returns:
  sprechender Name fuer den Provider.